#!/bin/bash

ttydev=$(tty)
ttyname=${ttydev#*/dev/}

ptstr="pts"
ttystr="tty"

xdg_runtime_dir=$(env | grep -w XDG_RUNTIME_DIR)
env_dir=${xdg_runtime_dir#*XDG_RUNTIME_DIR=}
xdg_uid=${env_dir#*/run/user/}
uid=$(id -u)

create_pts_or_tty_env_file()
{
	mkdir -p ${env_dir}/.kysec/${ttyname}
        env | grep -wE 'LANG|GDM_LANG|LANGUAGE|DESKTOP_SESSION|XDG_SESSION_DESKTOP|XDG_CURRENT_DESKTOP|XDG_SESSION_TYPE|XDG_SESSION_CLASS|XDG_RUNTIME_DIR|LOGNAME|HOME|USER|XAUTHORITY|DISPLAY|WAYLAND_DISPLAY|PATH|GDMSESSION|DBUS_SEEEION_BUS_ADDRESS|TREM|QT_QPA_PLATFORM|QT_QPA_PLATFORMTHEME' > ${env_dir}/.kysec/${ttyname}/env
}

create_notty_env_file()
{
	mkdir -p ${env_dir}/.kysec/${xdg_uid}
        env | grep -wE 'LANG|GDM_LANG|LANGUAGE|DESKTOP_SESSION|XDG_SESSION_DESKTOP|XDG_CURRENT_DESKTOP|XDG_SESSION_TYPE|XDG_SESSION_CLASS|XDG_RUNTIME_DIR|LOGNAME|HOME|USER|XAUTHORITY|DISPLAY|WAYLAND_DISPLAY|PATH|GDMSESSION|DBUS_SEEEION_BUS_ADDRESS|TREM|QT_QPA_PLATFORM|QT_QPA_PLATFORMTHEME' > ${env_dir}/.kysec/${xdg_uid}/env
}

if [ "x$uid" = "x$xdg_uid" ]; then
	case "$ttyname" in
		"$ptstr"*|"$ttystr"*)
			create_pts_or_tty_env_file
			;;
		*)
			create_notty_env_file
			;;
	esac
fi
